Jump to content Japan - English

Software (Japanease)  >  Security (Japanease)

HP IceWall SSO

Operating Environment and System Configuration
(Standard Edition)
» 

HP IceWall SSO

Product Basics

» What's Single Sign-On?
» What's HP IceWall SSO?
» Benefits

Learn More

» Case Studies
» Product brochure
» FAQ

Product Features, Functions, and Operating Environment

» HP IceWall SSO
» Agent Option
» Japanese
Contact Us
FAQ
HP IceWall SSO is a joint development product of HP Japan and SCC, Ltd.
Go to contents
Configuration and Operating Environment
 
» Basic Configuration
» Examples of backend web applications connected with HP IceWall SSO
» List of Compatible Mobiles
Operating Environment
» Enterprise Edition
» Standard Edition
» List of Sites for Information on Related Products
( Last Update : 2004.04.26)

Operating Environment of HP IceWall SSO ver. 7.0 Standard Edition

» Servers
» Operating Systems
» Web Servers
» Browsers
» Database
» Remarks

Servers

HP-UX version HP server series (except IA64)
Linux version HP ProLiant Series

Operating Systems

HP-UX version Forwarder (dfw)
   - HP-UX 11.0, HP-UX 11i
Certification Module (certd), Dynamic Menu (dmenu)
   - HP-UX 11.0, HP-UX 11i
Patches as of March 2002 should be applied for either version.
Linux version Forwarder (dfw), Certification Module (certd), Dynamic Menu (dmenu)
   - Red Hat Linux 7.2, Red Hat Linux 7.3
   - Red Hat Enterprise Linux AS Ver.2.1, Red Hat Enterprise Linux ES Ver.2.1
No application of patches necessary for these operating systems.

Web Servers

HP-UX version Forwarder (dfw)
   - Sun Java System Web Server 6.0 SP4 or later
   - Apache HTTP Server 2.0.x or later
Dynamic Menu (dmenu)
   - Sun Java System Web Server 6.0 SP4 or later
Linux version Forwarder (dfw)
   - Apache HTTP Server 1.3.26 or later (version 1.3.27 or later are recommended)
Dynamic Menu (dmenu)
   - Apache HTTP Server 1.3.26 or later (version 1.3.27 or later are recommended)
   - Tomcat 3.3 or later

Browsers

HP-UX version
Linux version
Netscape Navigator 4.5 or later is recommended (certain versions may cause problems during processing)
Internet Explorer 5.0 or later is recommended (certain versions may cause problems during processing)

Database

HP-UX version Oracle8i Database Standard Edition R8.1.7.4 (Oracle Net Services is necessary)
Oracle8i Database Enterprise Edition R8.1.7.4 (Oracle Net Services is necessary)
Oracle9i Database Standard Edition R9.0.1(Oracle Net Services is necessary)
Oracle9i Database Enterprise Edition R9.0.1(Oracle Net Services is necessary)
Oracle9i Database Standard Edition R9.2.0 (Oracle Net Services is necessary)
Oracle9i Database Enterprise Edition R9.2.0 (Oracle Net Services is necessary)
iPlanet Directory Server 5.1x or compatible products
Netscape Directory Server for HP-UX 6.11
Microsoft Active Directory (Microsoft Windows 2000 Server SP2 or later)
Text certification database file (CSV format)
Linux version Oracle9i Database Standard Edition R9.0.1 (Oracle Net Services is necessary)
Oracle9i Database Enterprise Edition R9.0.1 (Oracle Net Services is necessary)
Oracle9i Database Standard Edition R9.2.0 (Oracle Net Services are necessary)
Oracle9i Database Enterprise Edition R9.2.0 (Oracle Net Services are necessary)
iPlanet Directory Server 5.1x or compatible products
Microsoft Active Directory (Microsoft Windows 2000 Server SP2 or later)
Text Certification Database File (CSV format)

Remarks

HP-UX version

  1. Web servers and forwarders should be operated on the same server.

  2. If you use Oracle products for the certification database, only the following combinations are supported.
    Database Client
    Oracle8i Database Standard Edition R8.1.7
    Oracle8i Database Enterprise Edition R8.1.7
    Net Services 8.1.7
    Oracle9i Database Standard Edition R9.0.1
    Oracle9i Database Enterprise Edition R9.0.1
    Oracle9i Database Standard Edition R9.2.0
    Oracle9i Database Enterprise Edition R9.2.0
    Net Services 9.0.1

  3. If you use Microsoft Active Directory for the certification database, there are the following limitations.
    • Password change is impossible.
    • It is not possible to check password expiration time on .user authentication.
    • It is not possible to use the Client Certificates Option.
Environment necessary for the operation of each module
Installed Modules Environment Necessary for Modules
Forwarder (dfw) Sun Java System Web Server
Apache HTTP Server
Certification Module
(certd)
Oracle Net Services (If you use Oracle Database Standard Edition or Oracle Database Enterprise Edition)
Dynamic Menu (dmenu) Sun Java System Web Server

Linux version

  1. Web servers and forwarders should be operated on the same server.

  2. If you use Oracle products for the certification database, only the following combinations are supported.
    Database Client Operating Systems
    Oracle9i Database Standard Edition R9.0.1
    Oracle9i Database Enterprise Edition R9.0.1
    Oracle9i Database Standard Edition R9.2.0
    Oracle9i Database Enterprise Edition R9.2.0
    Net Services 9.0.1 Red Hat
    Enterprise Server
    AS/ES

  3. If you use Microsoft Active Directory for the certification database, there are the following limitations.
    • Password change is impossible.
    • It is not possible to check password expiration time on .user authentication.
    • It is not possible to use the Client Certificates Option.
Environment necessary for the operation of each module
Installed Modules Environment Necessary for Modules
Forwarder (dfw) Apache HTTP Server
Certification Module (certd) Oracle Net Services (If you use Oracle Database Standard Edition or Oracle Database Enterprise Edition)
Dynamic Menu (dmenu) Apache HTTP Server
Tomcat
top
Printable version
Privacy statement Using this site means you accept its terms  
Please note: all of the links on this page navigate you to pages in Japanese.